<?php
namespace PrismaLink\Plinkpg\Helper;

class PlinkLogHelper{
    private $_logger;
    private $log_prefix="PLINK PaymentGateway - ";

    public function __construct(\Psr\Log\LoggerInterface $logger){
         $this->_logger = $logger; 
    }
    public function logError($msg){
        $this->_logger->error($this->log_prefix.$msg); 
    }
    public function logDebug($msg,$data=null){
        if(is_array($data) || is_object($data)){
          $data=json_encode($data,JSON_UNESCAPED_SLASHES|JSON_PRETTY_PRINT);
        }
        $data = is_null($data) ? '' : $data;
        $this->_logger->debug($this->log_prefix.$msg."\n".$data);
    }
}