<?php
 
namespace PrismaLink\Plinkpg\Setup;
 
use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\DB\Ddl\Table;
 
class InstallSchema implements InstallSchemaInterface
{
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $installer = $setup;
        $installer->startSetup();
 
        $tableName = $installer->getTable('plink_pg');

        if ($installer->getConnection()->isTableExists($tableName) != true) 
        {
            $table = $installer->getConnection()
                ->newTable($tableName)
                ->addColumn(
                    'merchantRefNo',
                    Table::TYPE_TEXT,
                    null,
                    [
                        'unique' => true
                    ],
                    'Transaction Number'
                )
                ->addColumn(
                    'plinkRefNo',
                    Table::TYPE_TEXT,
                    null,
                    [
                        'unique' => true
                    ],
                    'Transaction Number'
                )
                ->addColumn(
                    'user_id',
                    Table::TYPE_TEXT,
                    null,
                    [
                        'nullable' => true
                    ],
                    'User id'
                )
                ->addColumn(
                    'email',
                    Table::TYPE_TEXT,
                    null,
                    [
                        'nullable' => true
                    ],
                    'Email'
                )
                ->addColumn(
                    'amount',
                    Table::TYPE_TEXT,
                    null,
                    [
                        'nullable' => true
                    ],
                    'Amount'
                )
                ->addColumn(
                    'transactionDate',
                    Table::TYPE_TEXT,
                    null,
                    [],
                    'Transaction Date'
                )
                ->addColumn(
                    'paymentDate',
                    Table::TYPE_TEXT,
                    null,
                    [],
                    'Payment Date'
                )
                ->addColumn(
                    'paymentStatus',
                    Table::TYPE_TEXT,
                    null,
                    [
                        'nullable' => true
                    ],
                    'Payment Status'
                )
                ->addColumn(
                    'description',
                    Table::TYPE_TEXT,
                    null,
                    [
                        'nullable' => true
                    ],
                    'Description'
                )
                ->setComment('Plink Paymentgateway')
                ->setOption('type', 'InnoDB')
                ->setOption('charset', 'utf8');
            $installer->getConnection()->createTable($table);
        }
 
        $installer->endSetup();
    }
}