/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
/*browser:true*/
/*global define*/
define(
    [
        'Magento_Checkout/js/view/payment/default',
        'Magento_Checkout/js/model/quote',
        'mage/url',
        'Magento_Ui/js/model/messageList',
        'Magento_Customer/js/customer-data',
        'uiComponent'
    ],
    function (Component,quote,url,messageList,customerData) {
        'use strict';

        return Component.extend({
            defaults: {
                template: 'PrismaLink_Plinkpg/payment/form.phtml',
                transactionResult: '',
                redirectAfterPlaceOrder: false
            },

            initObservable: function () {
                this._super()
                    .observe([
                        'transactionResult'
                    ]);
                return this;
            },

            getCode: function() {
                return 'plink_paymentgateway';
            },

            getData: function() {
                return {
                    'method': this.item.method,
                    'additional_data': {
                        'transaction_result': this.transactionResult()
                    }
                };
            },
            getLogoUrl:function(){
                return window.checkoutConfig.plink_logo_icon;
            },
            validatePhoneNumber:function (inputNo){
                var phoneno = /^\+[0-9]+/;
                if((inputNo.match(phoneno))){
                    return true;
                }
                return false;
            },
            getCurrencyCode:function(){
                return window.checkoutConfig.plink_currency_code;
            },
            validateCurency:function(){
                return this.getCurrencyCode() === "IDR";
            },
            beforePlaceOrder:function(){
                var is_valid=true;
                var phone=quote.billingAddress().telephone;
                if(!this.validatePhoneNumber(phone)){
                    is_valid=false;
                    messageList.addErrorMessage({message: 'Invalid phone number must starts with +'});
                    return;
                }
                this.placeOrder();
            },
            afterPlaceOrder: function () {
                window.location.replace(url.build('plinkpaymentgateway/payment/dopayment'));
            },
            getTransactionResults: function() {
                return _.map(window.checkoutConfig.payment.plink_paymentgateway.transactionResults, function(value, key) {
                    return {
                        'value': key,
                        'transaction_result': value
                    }
                });
            },
        });
    }
);